//
//  AppNavigationController.swift
//  Button
//
//  Created by Orkhan Alikhanov on 10/10/18.
//  Copyright © 2018 CosmicMind. All rights reserved.
//

import Material

class AppNavigationController: NavigationController {
  override func prepare() {
    super.prepare()
    
    tabItem.title = "Navigation VC"
  }
}

class NavigationViewController: AppViewController {
  override func prepare() {
    super.prepare()
    
    title = "Navigation"
    navigationItem.leftViews = [IconButton(image: Icon.menu)]
    navigationItem.rightViews = [Switch(state: .on), IconButton(image: Icon.add)]
    
    let b = RaisedButton(title: "Push")
    b.contentEdgeInsetsPreset = .wideRectangle3
    b.addTarget(self, action: #selector(push), for: .touchUpInside)
    
    view.layout(b).center(offsetY: -30)
    
    let b2 = RaisedButton(title: "Modal")
    b2.contentEdgeInsetsPreset = .wideRectangle3
    b2.addTarget(self, action: #selector(push2), for: .touchUpInside)
    
    view.layout(b2).center(offsetY: 30)
  }
  
  @objc
  func push() {
    let vcs = [AppViewController(), AppViewController()]
    vcs.enumerated().forEach {
      $0.element.tabItem.title = "Tab \($0.offset + 1)"
    }
    
    let t = TabsControllerTopAligned(viewControllers: vcs)
    navigationController?.pushViewController(t, animated: true)
  }
  
  @objc
  func push2() {
    let vcs: [UIViewController] = (1...5).map {
      let v = ButtonViewController()
      v.title = "Tab \($0)"
      v.tabBarItem.image = [Icon.audio, Icon.bell, Icon.favorite, Icon.movie, Icon.photoLibrary][$0 - 1]
      return v
    }
    
    let b = BottomNavigationController(viewControllers: vcs)
    b.navigationItem.titleLabel.text = "Bottom Navigation"
    let t = NavigationController(rootViewController: b)
    present(t, animated: true, completion: nil)
    
    let backButton = IconButton(image: Icon.arrowBack)
    backButton.addTarget(self, action: #selector(dismissPresented), for: .touchUpInside)
    b.navigationItem.leftViews = [backButton]
  }
  
  @objc
  func dismissPresented() {
    dismiss(animated: true, completion: nil)
  }
}
