//
//  AppViewController.swift
//  Button
//
//  Created by Orkhan Alikhanov on 10/9/18.
//  Copyright © 2018 CosmicMind. All rights reserved.
//

import Material

class AppViewController: ViewController {
  override var title: String? {
    didSet {
      navigationItem.titleLabel.text = title
      tabItem.title = title
    }
  }
  
  override func prepare() {
    super.prepare()
    
    let doubleTap = UITapGestureRecognizer(target: self, action: #selector(changeTheme))
    doubleTap.numberOfTapsRequired = 2
    doubleTap.delaysTouchesEnded = false
    view.addGestureRecognizer(doubleTap)
  }
  
  @objc
  func changeTheme() {
    let themes = [Theme.light, .dark, .light2, .reply]
    let i = themes.firstIndex(of: .current)!
    
    let nextTheme = themes[(i + 1) % themes.count]
    
    UIView.animate(withDuration: 0.15) {
      Theme.apply(theme: nextTheme)
    }
  }
}


extension Theme {
  static var light2: Theme {
    var t = Theme()
    t.primary = UIColor(rgb: 0x6200EE)
    t.secondary = UIColor(rgb: 0x03DAC6)
    t.onSecondary = .black
    t.error = UIColor(rgb: 0xC51162)
    return t
  }
  
  static var reply: Theme {
    var t = Theme()
    t.primary = UIColor(rgb: 0x344955)
    t.secondary = UIColor(rgb: 0xf9aa33)
    t.onSecondary = UIColor(rgb: 0x232F34)
    return t
  }
}
